Debian セキュリティ勧告

DSA-1027-1 mailman -- プログラミングの誤り

報告日時:
2006-04-06
影響を受けるパッケージ:
mailman
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 358892.
Mitre の CVE 辞書: CVE-2006-0052.
詳細:

潜在的なサービス拒否問題がウェブベースの GNU メーリングリストマネージャ mailman に発見されました。異常な mime マルチパートが含まれるメッセージの解析 (失敗) により、メーリングリスト全体が操作できなくなることがあります。

旧安定版 (old stable) ディストリビューション (woody) はこの問題に対して脆弱ではありません。

安定版 (stable) ディストリビューション (sarge) では、この問題はバージョン 2.1.5-8sarge2 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、この問題は近く修正予定です。

直ちに mailman パッケージをアップグレードすることを勧めます。

修正:

Debian GNU/Linux 3.1 (sarge)

ソース:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2.dsc
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2.diff.gz
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/m/mailman/mailman_2.1.5-8sarge2_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。